Subject: Re: [PATCH v2 2/2] mark git stash push deprecated in the man page

From: Thomas Gummerer <[email-masked]>
Date: Sun, 22 Oct 2017 17:31:27 +0100

On 10/21, Jeff King wrote:
> On Thu, Oct 19, 2017 at 07:33:04PM +0100, Thomas Gummerer wrote:
> 
> > 'git stash push' fixes a historical wart in the interface of 'git stash
> > save'.  As 'git stash push' has all functionality of 'git stash save',
> > with a nicer, more consistent user interface deprecate 'git stash
> > save'.  To do this, remove it from the synopsis of the man page, and
> > move it to a separate section, stating that it is deprecated.
> 
> This looks fine.
> 
> > @@ -87,6 +84,10 @@ linkgit:git-add[1] to learn how to operate the `--patch` mode.
> >  The `--patch` option implies `--keep-index`.  You can use
> >  `--no-keep-index` to override this.
> >  
> > +save [-p|--patch] [-k|--[no-]keep-index] [-u|--include-untracked] [-a|--all] [-q|--quiet] [<message>]::
> > +
> > +	This option is deprecated in favour of 'git stash push'.
> > +
> 
> We could possibly go into more detail, like:
> 
>   It differs from "stash push" in that it cannot take pathspecs, and any
>   non-option arguments form the message.
> 
> or something. Since we don't want people to use it, it probably doesn't
> matter much. I just wondered if people would peer at the (long) synopsis
> line trying to figure out how it's different.

Yeah, feels like it could potentially help somebody.  I'll add that, thanks!

> -Peff